#ifndef Slash_All_h
#define Slash_All_h

// Meta :
#include <Slash/Meta/IClass.h>
#include <Slash/Meta/IDictionary.h>

#ifdef SWIG
//IObject exists also in Slash/Store
#else
#include <Slash/Meta/IObject.h>
#endif

// Core :
#include <Slash/Core/IReader.h>
#include <Slash/Core/IWriter.h>

#include <Slash/Core/IManager.h>
#include <Slash/Core/ISession.h>

#include <Slash/Core/ILibrary.h>
#include <Slash/Core/ILibraryManager.h>

#include <Slash/Core/IRelation.h>
#include <Slash/Core/IRelationVisitor.h>
#include <Slash/Core/IRelationManager.h>

#include <Slash/Core/IDirectoryVisitor.h>
#include <Slash/Core/IAction.h>
#include <Slash/Core/IMessage.h>

#include <Slash/Core/IFileGetter.h>
#include <Slash/Core/IValue.h>
#include <Slash/Core/IParameterManager.h>
#include <Slash/Core/IHierarchy.h>
#include <Slash/Core/IOpaqueManager.h>

// Thread :
#include <Slash/Thread/IMutex.h>

// UI :
#include <Slash/UI/IInterpreter.h>
#include <Slash/UI/IScriptManager.h>

#include <Slash/UI/IStyleManager.h>

#include <Slash/UI/ICallbackData.h>
#include <Slash/UI/IWidgetFactory.h>
#include <Slash/UI/IWidgetClass.h>
#include <Slash/UI/IWidget.h>
#include <Slash/UI/IUI.h>
#include <Slash/UI/IUI_Manager.h>

#include <Slash/UI/ICyclic.h>

#include <Slash/UI/IPlotter.h>
#include <Slash/UI/IPlotterManager.h>

#include <Slash/UI/ISoViewer.h>

// Data :
#include <Slash/Data/IAccessor.h>
#include <Slash/Data/IHandler.h>
#include <Slash/Data/IHandlersIterator.h>
#include <Slash/Data/IIterator.h>
#include <Slash/Data/IProcessor.h>
#include <Slash/Data/IProperty.h>
#include <Slash/Data/IVisualizer.h>
#include <Slash/Data/IFunction.h>
#include <Slash/Data/IFunctionManager.h>
#include <Slash/Data/IArray.h>
#include <Slash/Data/IArrayFactory.h>

// Store :
#include <Slash/Store/IObject.h>
#include <Slash/Store/ITree.h>
#include <Slash/Store/IFolder.h>
#include <Slash/Store/IFolderIterator.h>
#include <Slash/Store/IFolderVisitor.h>
#include <Slash/Store/IObjectIterator.h>
#include <Slash/Store/IStoreManager.h>

#ifdef SWIG
//IArray exists also in Slash/Data
#else
#include <Slash/Store/IArray.h>
#endif
#include <Slash/Store/IStorable.h>
#include <Slash/Store/IVisitor.h>
#include <Slash/Store/IConstVisitor.h>

// Net :
#include <Slash/Net/INetManager.h>

// Tools :
#include <Slash/Tools/Managers.h>
#include <Slash/Tools/Data.h>
#include <Slash/Tools/UI.h>

#include <Slash/Tools/cast.h>
#include <Slash/Tools/smanip.h>
#include <Slash/Tools/sprintf.h>
#include <Slash/Tools/cstring.h>
#include <Slash/Tools/system.h>
#include <Slash/Tools/fmanip.h>
#include <Slash/Tools/args.h>
#include <Slash/Tools/file.h>
#include <Slash/Tools/pointer.h>
#include <Slash/Tools/out.h>

#include <Slash/Tools/directory.h>
#include <Slash/Tools/app.h>
#include <Slash/Tools/osc_env.h>

//#include <Slash/Tools/Inventor.h>
//#include <Slash/Tools/Net.h>
//#include <Slash/Tools/AIDA.h>
//#include <Slash/Tools/InventorAccessor.h>

#endif
